List sync runs for a specific sync
curl --request GET \
--url https://api.squared.ai/api/v1/syncs/{sync_id}/sync_runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.squared.ai/api/v1/syncs/{sync_id}/sync_runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.squared.ai/api/v1/syncs/{sync_id}/sync_runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"sync_id": 123,
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"duration": 123,
"total_query_rows": 123,
"skipped_rows": 123,
"total_rows": 123,
"successful_rows": 123,
"failed_rows": 123,
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"prev": "<string>",
"next": "<string>",
"last": "<string>"
}
}{
"message": "Sync not found",
"status": "not_found"
}Sync Runs & Records
List Sync Runs
Retrieves a list of sync runs for a specific sync, optionally filtered by status.
GET
/
api
/
v1
/
syncs
/
{sync_id}
/
sync_runs
List sync runs for a specific sync
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the sync to list runs for.
Query Parameters
Optional status to filter the sync runs by.
Page number for pagination.
Was this page helpful?
⌘I